Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class ExtensibilityQNames

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.ExtensibilityQNames

    public abstract class ExtensibilityQNames

extends java.lang.Object

Field Summary
`static javax.xml.namespace.QName` | `EXTVAR_ATTR` Attribute name for external variable id.
`static javax.xml.namespace.QName` | `EXTVAR_RELATED` Attribute holding the name of the "related" variable.
`static javax.xml.namespace.QName` | `FAILURE_HANDLING`
`static javax.xml.namespace.QName` | `FAILURE_HANDLING_FAULT_ON`
`static javax.xml.namespace.QName` | `FAILURE_HANDLING_RETRY_DELAY`
`static javax.xml.namespace.QName` | `FAILURE_HANDLING_RETRY_FOR`
`static java.lang.String` | `NS_ACTIVITY_RECOVERY`

Constructor Summary
`ExtensibilityQNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_ACTIVITY_RECOVERY

    public static final java.lang.String NS_ACTIVITY_RECOVERY

See Also:
  Constant Field Values

### FAILURE_HANDLING

    public static final javax.xml.namespace.QName FAILURE_HANDLING

### FAILURE_HANDLING_RETRY_FOR

    public static final javax.xml.namespace.QName FAILURE_HANDLING_RETRY_FOR

### FAILURE_HANDLING_RETRY_DELAY

    public static final javax.xml.namespace.QName FAILURE_HANDLING_RETRY_DELAY

### FAILURE_HANDLING_FAULT_ON

    public static final javax.xml.namespace.QName FAILURE_HANDLING_FAULT_ON

### EXTVAR_ATTR

    public static final javax.xml.namespace.QName EXTVAR_ATTR

  Attribute name for external variable id.

### EXTVAR_RELATED

    public static final javax.xml.namespace.QName EXTVAR_RELATED

  Attribute holding the name of the "related" variable.

Constructor Detail

### ExtensibilityQNames

    public ExtensibilityQNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD